Get all promotions
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/promotions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/promotions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/promotions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"code": "<string>",
"discount": {
"percentage": 123,
"type": "FLAT_RATE",
"money": {
"value": 10,
"currency": "USD"
},
"freeShipping": true,
"shippingOption": "Included"
},
"status": "Live",
"requirements": {
"minimumOrderValue": {
"value": 10,
"currency": "USD"
}
},
"usageCount": 123,
"limits": {
"maximumUsesNumber": 123,
"oneUsePerCustomer": true
},
"appliesTo": {
"type": "ENTIRE_ORDER"
},
"type": "SHOP_AUTO_APPLYING",
"title": "<string>"
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Promotions
List Promotions
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns all promotions. The maximum page size is 100 - larger values are capped at 100.
GET
/
open-api
/
v1.0
/
promotions
Get all promotions
OAuth scope:
promotions_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Number of elements per page. The maximum page size is 100 - larger values are capped at 100.
Filter by promotion code(s)
Response
OK
results
Auto Applying Shop Promotion · object · Auto Applying Shop Promotion · object · Auto Applying Shop Promotion · object · Auto Applying Shop Promotion · object · Auto Applying Shop Promotion · object · Multi Memberships Promotion · object · Multi Shop Promotion · object · Single Memberships Promotion · object · Single Shop Promotion · object[]
required
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Multi Memberships Promotion
- Multi Shop Promotion
- Single Memberships Promotion
- Single Shop Promotion
Show child attributes
Show child attributes